| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# IStatSvc Class Reference

`#include <GaudiKernel/IStatSvc.h>`

Inheritance diagram for IStatSvc:

[legend]
Collaboration diagram for IStatSvc:

[legend]
List of all members.

## Detailed Description

"Stat"-related part of interface IChronoStatSvc

Author:
  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  December 1, 1999

  2007-07-08

Definition at line 27 of file IStatSvc.h.

## Public Types
typedef std::string | StatTag
| the actual identificator of Stat
typedef double | StatFlag
| the actual value type used for Stat
## Public Member Functions
virtual void | stat (const StatTag &t, const StatFlag &f)=0
| add statistical information to the entity , tagged by its name
virtual void | statPrint (const StatTag &t)=0
| prints (using message service) info about statistical entity, tagged by its name
virtual const StatEntity * | stat (const StatTag &t) const =0
| extract the stat entity for the given tag (name)
## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| unique interface identifier
## Protected Member Functions
virtual | ~IStatSvc ()
| Destructor.

## Member Typedef Documentation

typedef std::string IStatSvc::StatTag

the actual identificator of Stat

Definition at line 31 of file IStatSvc.h.

typedef double IStatSvc::StatFlag

the actual value type used for Stat

Definition at line 33 of file IStatSvc.h.

## Constructor & Destructor Documentation

IStatSvc::~IStatSvc | ( |  | ) | `[protected, virtual]`

Destructor.

Definition at line 40 of file IChronoStatSvc.cpp.

    00040 {}

## Member Function Documentation

virtual void IStatSvc::stat | ( | const StatTag & | t,
|  | const StatFlag & | f |
| ) |  |  | `[pure virtual]`

add statistical information to the entity , tagged by its name

Parameters:

  | t | stat tag(name)
  | f | flag (quantity to be accumulated)

Returns:
  status of stat

Referenced by Stat::Stat().

virtual void IStatSvc::statPrint | ( | const StatTag & | t | ) | `[pure virtual]`

prints (using message service) info about statistical entity, tagged by its name

Parameters:

  | t | stat tag(name)

Returns:
  status code

virtual const StatEntity* IStatSvc::stat | ( | const StatTag & | t | ) | const`[pure virtual]`

extract the stat entity for the given tag (name)

Parameters:

  | t | stat tag(name)

Returns:
  pointer to stat entity

const InterfaceID & IStatSvc::interfaceID | ( |  | ) | `[static]`

unique interface identifier

Reimplemented from IInterface.

Reimplemented in IChronoStatSvc.

Definition at line 32 of file IChronoStatSvc.cpp.

Referenced by ChronoStatSvc::queryInterface().

    00033 {
    00034   static const InterfaceID s_iid ( "IStatSvc" , 1 , 0 ) ;
    00035   return s_iid ;
    00036 }

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/IStatSvc.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/src/Lib/IChronoStatSvc.cpp